Should I wait till QuickPwn is released>

Discussion in 'iPod touch 2G Jailbreak: redsn0w, 24kpwn, etc.' started by andyyy, Mar 16, 2009.

  1. andyyy

    andyyy New Member

    Joined:
    Dec 27, 2008
    Messages:
    27
    Likes Received:
    0
    I have never jailbroken before and am not an expert on technical issues etc, but i was wondering whether to jailbreak now or would it be worth to wait and use QuickPwen?
  2. jellixiz

    jellixiz New Member

    Joined:
    Dec 21, 2008
    Messages:
    262
    Likes Received:
    0
    use QuickFreedom, its too easy.
  3. justan

    justan New Member

    Joined:
    Dec 29, 2008
    Messages:
    347
    Likes Received:
    0
    I used Quick Freedom the day after it was released. People had very few problems with it. Me, I had none. It works amazingly. Go a head and use quick freedom.
  4. andyyy

    andyyy New Member

    Joined:
    Dec 27, 2008
    Messages:
    27
    Likes Received:
    0
    Does it work even if u havent been tethered before?
    and do u have to put music back onto the ipod as u have to restore?
  5. nikj14

    nikj14 Active Member

    Joined:
    Sep 4, 2008
    Messages:
    1,313
    Likes Received:
    0
    Device:
    iPhone 3GS (Black)
    no, u didnt need it already jailbroken and u just resync the music after the restore.
  6. andyyy

    andyyy New Member

    Joined:
    Dec 27, 2008
    Messages:
    27
    Likes Received:
    0
    what firmware do i need to use with quick freedom, I am 2.2 (5G77a)
    ------------------double post merged------------------
    and also i am running vista 32 bit is this a problem?
  7. - Wesker -

    - Wesker - New Member

    Joined:
    Mar 15, 2009
    Messages:
    71
    Likes Received:
    0
    Device:
    4G iPod touch
    You may use dJailbreaker V2.1 is very easy in only 3 steps, you need firmware 2.2.1, and running Vista is not a problem, just if you don't have LIBUSB installed go to this directory in the dJailbreaker path, \Files\LIBUSB, and then change compatibility to XP. Also you need to run dJailbreaker as Administrator (VERY IMPORTANT)

    Some People may not know it, but it is becuase is new

    Please Register or Log in to view images

  8. G8D

    G8D New Member

    Joined:
    Feb 1, 2009
    Messages:
    1,014
    Likes Received:
    0
    Device:
    2G iPod touch
    As long as you install LibUSB in XP SP2 mode its fine. You need a 2.2.1 IPSW
  9. Ryan

    Ryan Well-Known Member

    Joined:
    Jan 19, 2008
    Messages:
    4,129
    Likes Received:
    28
    Device:
    Nexus 4
    no. use the tool in the sticky
  10. crizh4x

    crizh4x Active Member

    Joined:
    Sep 19, 2007
    Messages:
    4,474
    Likes Received:
    17
    Device:
    2G iPod touch
    Yes, the red one

    Please Register or Log in to view images

Share This Page